M.block_progress = {
    wwwroot: '',
    preLoadArray: new Array(),
    tickIcon: new Image(),
    crossIcon: new Image(),
    displayDate: 1,

    init: function (YUIObject, root, modulesInUse, date) {
        var i;

        // Remember the web root
        this.wwwroot = root;

        // Rember whether the now indicator is displayed (also hides date)
        this.displayDate = date;
        
        // Preload icons for modules in use
        for(i=0; i<modulesInUse.length; i++) {
            this.preLoadArray[i] = new Image();
            this.preLoadArray[i].src = this.wwwroot+'/mod/'+modulesInUse[i]+'/pix/icon.gif';
        }
        this.tickIcon.src = this.wwwroot+'/blocks/progress/pix/tick.gif';
        this.crossIcon.src = this.wwwroot+'/blocks/progress/pix/cross.gif';
    },

    showInfo: function (mod, type, id, name, message, dateTime, instanceID, userID, icon) {

        // Dynamically update the content of the information window below the progress bar
        var content  = '<a href="'+this.wwwroot+'/mod/'+mod+'/view.php?id='+id+'">';
            content += '<img src="'+this.wwwroot+'/mod/'+mod+'/pix/icon.gif" alt="Module icon" />';
            content += name+'</a><br />'+type+' '+message+'&nbsp;';
            content += '<img align="absmiddle" src="'+this.wwwroot+'/blocks/progress/pix/'+icon+'.gif" alt="Cross or tick icon" /><br />';
            if (this.displayDate) {
                content += M.str.block_progress.time_expected+': '+dateTime+'<br />';
            }
        document.getElementById('progressBarInfo'+instanceID+'user'+userID).innerHTML = content;
    }
};
